Subject: Re: [apps-discuss] Citations for terms from RFC 5598 (Internet MailArchitecture)

From: t.petch <[email-masked]>
Date: Fri, 4 May 2012 14:57:47 +0200

----- Original Message -----
From: "Barry Leiba" <[email-masked]>
To: "Apps Discuss" <[email-masked]>
Sent: Wednesday, April 25, 2012 2:41 PM
> RFC 5598, "Internet Mail Architecture", is a handy document -- an
> Informational doc that's on the approved-downref list, and which
> contains explanations for many terms that we use in talking about
> email infrastructure, along with a clear picture of how the pieces all
> fit together.
>
> It frequently comes up in document reviews, both from
> directorates/review teams and from the IESG, that people wish we'd
> expanded the terms taken from RFC 5598 on first use.  We freely use
> terms such as "MTA", "MSA", "MUA", "ADMD", and so on, and readers
> aren't always sure whether *that* term comes from 5598 or not.
> Further, someone with a basic idea of how things work might not have
> to look to 5598 to understand "Message Submission Agent" or
> "Administrative Management Domain", but is likely not to get the
> abbreviations without heading to the reference.
>
> I think it's reasonable for us to establish a convention for citing
> from RFC 5598 that goes something like this:
>
> 1. Put a reference in the terminology section that says that a number
> of terms in this document come from RFC 5598.  Something like this
> works:
>
>    1.1 Terminology
>
>       The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
>       "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
>       document are to be interpreted as described in RFC 2119 [RFC2119].
>
>       A number of terms used in this document are explained in "Internet Mail
>       Architecture" [RFC5598], and an understanding of the concepts in RFC
5598
>       is important for readers of this document.
>
> 2. On first use of any particular term, spell it out, abbreviate it,
> and cite it.  Do this for *every* term we get out of 5598.  So on
> first use of MTA we say, "when a Message Transfer Agent (MTA)
> [RFC5598] receives a connection...".  If we also use "MSA", we *also*
> say, on first use, "when connecting to a Message Submission Agent
> (MSA) [RFC5598], it is important to...".  And then, "if the recipient
> is in the same Administrative Management Domain (ADMD) [RFC5598],
> then...".  And so on, for all the terms.
>
> This may mean that we have a lot of citations to 5598, one for each
> term we use out of there, but I think it will make it easier for
> people to read and understand the email-related documents.
>
> Comments?

A good idea but a poor execution.  Have you read RFC5598 lately, looked at it
from the point of view of someone who wants to know what an MSA is?  You have to
plough through 21 pages of gunk, some of which is irrelevant but others of which
you must understand, otherwise you cannot understand the meaning of MSA.  Go to
the index and it says that MSA appears on page 12; mmm, keep looking, it's a
good way of passing a wet Bank Holiday.

We need a document but, sadly RFC5598, can never be it; it was written for IETF
experts, not for those who want to understand the basics.

Tom Petch

> Barry
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>